#!/usr/bin/perl -ws

use strict;
use warnings 'all';

$#ARGV==0 or die "USAGE: extract-vols.pl file_name\n";

open(my $vol_results, $ARGV[0]) or die "Unable to open $ARGV[0]!\n";
my $line1;

my $pline = "n, -7, -6, -5, -4, -3, -2, -1, 0, 1, 2, 3, 4, 5, 6, 7";
my $i=5;
my $counter = 0;
my $soltype;

while( !eof($vol_results) ) {
		
		$line1 = <$vol_results>;

		# Check first that solution is geometric
		if ( $line1 =~ /solution type: /)
		{
				$counter++;
				# Look for the second instance in which solution type is printed.
				# This concerns the canonical triangulation.
				if ( $counter == 2 )
				{
						($soltype) = $line1 =~ /solution type: (.*)/;
						if ( $soltype ne "geometric" )
						{
								print "NONGEOMETRIC!\n";
						}
				}
		}
		if ( $line1 =~ /Volume is: /)
		{
				$counter = 0;
				# print $line1;
				(my $vol) = $line1 =~ /Volume is: (.*)/;
				$pline .= $vol;
				$pline .= ", ";
				# print $vol;
		}
		if ( $line1 =~ /sur 1 -7/ )
		{
				print $pline, "\n";
				# print $line1;
				if ( $i > 10 ) {
						my $num = 6 + 2*($i - 11);
						$pline = $num;
						$pline .= "tw";
				} else {
						$pline = $i;
				}
				$pline .= ", ";
				$i++;
		}
}

print $pline;
close	$vol_results;
				
